
Foreman - Feature #26541

graphql: add plugin DSL

04/04/2019 07:02 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6809

  

Description

Graphql can already be used from plugins by extending core classes with concerns in the plugin's engine.rb. While this provides

great flexibility it would be better to have a (stable) plugin API that plugin authors can rely on.

Related issues:

Related to Foreman - Tracker #22109: Foreman should support a graphql api New

Related to OpenSCAP - Tracker #27027: GraphQL in foreman_openscap New

Related to OpenSCAP - Feature #27061: Extend core's GraphQL types with fields... Ready For Testing

Related to Foreman - Feature #27190: graphql: add plugin DSL for registering ... Closed

Associated revisions

Revision fbc49a43 - 06/17/2019 08:23 AM - Timo Goebel

fixes #26541 - graphql: add plugin api

History

#1 - 04/04/2019 07:02 PM - Timo Goebel

- Related to Tracker #22109: Foreman should support a graphql api added

#2 - 05/30/2019 01:30 PM - The Foreman Bot

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/6809 added

#3 - 06/12/2019 12:45 PM - Ondřej Pražák

- Related to Tracker #27027: GraphQL in foreman_openscap added

#4 - 06/15/2019 10:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#5 - 06/17/2019 08:28 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- Fixed in Releases 1.23.0 added

#6 - 06/17/2019 08:29 AM - Ondřej Pražák

- Related to Feature #27061: Extend core's GraphQL types with fields from foreman_openscap added

#7 - 07/01/2019 06:59 AM - Ondřej Pražák

- Related to Feature #27190: graphql: add plugin DSL for registering plugin fields added
